export interface Options {
    min?: number;
    max?: number;
}
export interface Actions {
    inc: (delta?: number) => void;
    dec: (delta?: number) => void;
    set: (value: number | ((c: number) => number)) => void;
    reset: () => void;
}
export declare type ValueParam = number | ((c: number) => number);
declare function useCounter(initialValue?: number, options?: Options): readonly [import("vue").Ref<number>, {
    readonly inc: (delta?: number) => void;
    readonly dec: (delta?: number) => void;
    readonly set: (value: ValueParam) => void;
    readonly reset: () => void;
}];
export default useCounter;
