import { Ref } from 'vue';
export interface Options {
    type?: 'js' | 'css';
    js?: Partial<HTMLScriptElement>;
    css?: Partial<HTMLStyleElement>;
}
export declare type Status = 'unset' | 'loading' | 'ready' | 'error';
export default function useExternal(path?: string | Ref<string>, options?: Options): Ref<Status>;
